#![no_std]
#![no_main]

use core::arch::global_asm;
use crate::utils::clear_bss;

mod utils;
mod sbi;
mod console;

global_asm!(include_str!("entry.asm"));

#[no_mangle]
fn rust_main() -> ! {
    clear_bss();
    println!("Hello, rCore!");
    sbi::shutdown(false);
}

